LINTIAN-SSG(1)

NAME
lintian-ssg - Static site generator for lintian-explain-tags

SYNOPSIS
lintian-ssg [OPTION]...

DESCRIPTION
Generate a static web site for Lintian tags' explanations. By default, it will call lintian-explain-tags in a subprocess, except if the --tags-file option is provided.

OPTIONS

--base-url=URL
    URL, including the scheme, where the root of the website will be located. This will be used in the sitemap, the canonical link of each page and the robots.txt.

--footer=TEXT
    TEXT to add to the footer, inline Markdown elements will be parsed.

--lintian-version=V
    Override Lintian's version in output with V.

--manual-file=FILE
    Read Lintian's manual from FILE. (default "/usr/share/doc/lintian/lintian.html")

--no-sitemap
    Disable sitemap.xml.gz (and thus robots.txt) generation.

-o, --output-dir=DIR
    Path of the directory DIR where to output the generated website. (default "out")

--stats
    Display some statistics.

--tags-file=FILE
    Read Lintian tags from FILE (in JSON format).

--debug
    Print stack traces on errors.

-h, --help
    Show this help and exit.

--version
    Show version and exit.

AUTHOR
Nicolas Peugnet <nicolas@club1.fr>

REPORTING BUGS
Use the issue tracker at <https://salsa.debian.org/lintian/lintian-ssg>.

SEE ALSO
lintian(1), lintian-explain-tags(1)